Package org.eclipse.emf.cdo.view

## Interface CDOViewAdaptersNotifiedEvent

- All Superinterfaces:
    `CDOTimeProvider`, `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOViewAdaptersNotifiedEvent
      extends CDOViewEvent, CDOTimeProvider

  A `view event` fired when a `view` has finished notifying EMF `adapters` about remote changes.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOView.Options.addChangeSubscriptionPolicy(CDOAdapterPolicy)`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getTimeStamp()` | This is the time stamp of the commit operation that caused this client side event.

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()

      This is the time stamp of the commit operation that caused this client side event. It can be used to correlate this event to the preceding `invalidation event`.
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`